Package org.apache.commons.io.file

# Enum StandardDeleteOption

java.lang.Object
java.lang.Enum<StandardDeleteOption>
org.apache.commons.io.file.StandardDeleteOption

All Implemented Interfaces:
  `Serializable`, `Comparable<StandardDeleteOption>`, `DeleteOption`

public enum StandardDeleteOption extends Enum<StandardDeleteOption> implements DeleteOption
Defines the standard delete options.

Since:
  2.8.0

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `OVERRIDE_READ_ONLY`
  Overrides the read-only attribute to allow deletion, on POSIX, this means Write and Execute on the parent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `overrideReadOnly(DeleteOption[] options)`
  Returns true if the given options contain `OVERRIDE_READ_ONLY`.
  `static StandardDeleteOption`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static StandardDeleteOption[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OVERRIDE_READ_ONLY

    public static final StandardDeleteOption OVERRIDE_READ_ONLY
    Overrides the read-only attribute to allow deletion, on POSIX, this means Write and Execute on the parent.

- ## Method Details

  - ### values

    public static StandardDeleteOption[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StandardDeleteOption valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### overrideReadOnly

    public static boolean overrideReadOnly(DeleteOption[] options)
    Returns true if the given options contain `OVERRIDE_READ_ONLY`. For now, assume the array is not sorted.
    Parameters:
      `options` - the array to test
    Returns:
      true if the given options contain `OVERRIDE_READ_ONLY`.